org.eclipse.ease.modules.unittest

## Class Statistics

- java.lang.Object
- - org.eclipse.ease.modules.unittest.Statistics

    public class Statistics
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Statistics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getErrorCount()`
`int` `getFailureCount()`
`int` `getOverallTestSetCount()`
`int` `getPassCount()`
`int` `getTestCount()`
`int` `getTestSetCount()`
`void` `incrementErrorCount()`
`void` `incrementFailureCount()`
`void` `incrementTestCount()`
`void` `incrementTestSetCount()`
`void` `incrementValidCount()`
`void` `load(TestSuite testSuite)`
`void` `reset()`
`void` `setOverallTestFileCount(int sets)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Statistics

    public Statistics()

### Method Detail

#### reset

    public void reset()

#### incrementTestSetCount

    public void incrementTestSetCount()

#### incrementTestCount

    public void incrementTestCount()

#### incrementErrorCount

    public void incrementErrorCount()

#### incrementFailureCount

    public void incrementFailureCount()

#### getTestSetCount

    public int getTestSetCount()

#### getOverallTestSetCount

    public int getOverallTestSetCount()

#### getTestCount

    public int getTestCount()

#### getErrorCount

    public int getErrorCount()

#### getFailureCount

    public int getFailureCount()

#### setOverallTestFileCount

    public void setOverallTestFileCount(int sets)

#### getPassCount

    public int getPassCount()

#### load

    public void load(TestSuite testSuite)

#### incrementValidCount

    public void incrementValidCount()